## c65faucet-1.0.30.tar.gz

=== requirements.txt ===
c65chewie==1.0.2
influxdb>=2.12.0
networkx>=1.9
pbr==5.8.1
prometheus_client==0.13.1
ruamel.yaml==0.17.21
os_ken==2.3.1
c65beka==1.0.0
pytricia>=1.0.0

=== docs/requirements.txt ===
-r ../requirements.txt
sphinx==4.5.0
sphinx_rtd_theme==1.0.0
sphinxcontrib-svg2pdfconverter==1.2.0

=== adapters/vendors/faucetagent/requirements.txt ===
grpcio
grpcio-tools
prometheus_client
protobuf
requests

=== adapters/vendors/rabbitmq/requirements.txt ===
pika==1.2.0

=== debian/changelog ===
faucet (1.10.0) unstable; urgency=medium

  * New upstream release.

 -- Brad Cowie <brad@faucet.nz>  Wed, 08 Dec 2021 11:00:00 +1300

=== debian/control ===
Source: faucet
Section: python
Priority: optional
Maintainer: Faucet Maintainers <maintainers@faucet.nz>
Build-Depends: debhelper (>= 11),
               dh-python,
               git,
               python3-pkg-resources,
               python3-all,
               python3-setuptools,
               python3-pbr (>= 1.9),
               python3-bitstring,
               python3-influxdb,
               python3-networkx,
               python3-prometheus-client,
               python3-ruamel.yaml,
               python3-os-ken,
               python3-beka,
               python3-chewie,
               python3-pytricia,
Standards-Version: 3.9.6
Homepage: https://github.com/faucetsdn/faucet
X-Python3-Version: >= 3.7
Vcs-Git: https://github.com/faucetsdn/faucet.git
Vcs-Browser: https://github.com/faucetsdn/faucet

Package: python3-faucet
Architecture: all
Depends: python3-influxdb (>= 2.12.0),
         python3-networkx (>= 1.9),
         python3-pbr (>= 1.9),
         python3-prometheus-client (>= 0.13.1), python3-prometheus-client (<< 0.13.2),
         python3-ruamel.yaml (>= 0.17.21), python3-ruamel.yaml (<< 0.17.22),
         python3-os-ken (>= 2.3.1), python3-os-ken (<< 2.3.2),
         python3-beka (>= 0.4.1), python3-beka (<< 0.4.2),
         python3-chewie (>= 0.0.24), python3-chewie (<< 0.0.25),
         python3-pytricia (>= 1.0.0),
         python3:any (>= 3.7~),
         ${misc:Depends},
Suggests: python-faucet-doc, faucet, gauge
Description: source code for faucet and gauge (Python3)
 Python3 library that contains the source code for the Faucet open source
 OpenFlow controller, see faucet and gauge packages for further information.
 .
 This package installs the library for Python 3.

Package: faucet
Architecture: all
Depends: adduser,
         python3-faucet (>= 1.10.0),
         ${misc:Depends},
Suggests: gauge
Description: This is a compact open source OpenFlow controller (Python 3)
 This is a compact open source OpenFlow controller, which enables network
 operators to run their networks the same way they do server clusters.
 Faucet moves network control functions
 (like routing protocols, neighbor discovery, and switching algorithms)
 to vendor independent server-based software,
 versus traditional router or switch embedded firmware,
 where those functions are easy to manage, test, and extend with modern
 systems management best practices and tools.

Package: gauge
Architecture: all
Depends: adduser,
         python3-faucet (>= 1.10.0),
         ${misc:Depends},
Suggests: python-faucet-doc, faucet
Description: This is a component the Faucet OpenFlow controller (Python 3)
 This is a component of the Faucet OpenFlow controller,
 maintains an OpenFlow connection to switches and monitors port and flow
 state (exporting it to Prometheus or InfluxDB, or even flat text log files).
 Gauge does not ever modify the switch’s state, so that switch monitoring
 functions can be upgraded, restarted, without impacting forwarding.

Package: faucet-all-in-one
Architecture: all
Depends: faucet (>= 1.10.0),
         gauge (>= 1.10.0),
         python3-faucet (>= 1.10.0),
         prometheus (>= 2.0.0),
         grafana,
         ${misc:Depends},
Suggests: python-faucet-doc
Description: Metapackage to install all the component of faucet (Python 3)
 includes python3-faucet, faucet, gauge, grafana
 and prometheus.
